dupdp-admin(1)

NAME

dupdb-admin - Manage the duplicate database for apport-retrace.

SYNOPSIS

dupdb-admin -f dbpath dump

dupdb-admin -f dbpath changeid oldid newid

dupdb-admin -f dbpath publish path

DESCRIPTION

apport-retrace(1) has the capability of checking for duplicate bugs (amongst other things). It uses an SQLite database for keeping track of master bugs. dupdb-admin is a small tool to manage that database.

The central concept in that database is a "crash signature", a string that uniquely identifies a particular crash. It is built from the executable path name, the signal number or exception name, and the topmost functions of the stack trace.

The database maps crash signatures to the 'master' crash id and thus can close duplicate crash reports with a reference to that master ID. It also tracks the status of crashes (open/fixed in a particular version) to be able to identify regressions.

MODES

dump
    Print a list of all database entries.

changeid
    Change the associated crash ID for a particular crash.

publish
    Export the duplicate database into a set of text files in the given directory which is suitable for WWW publishing. If the directory already exists, it will be updated. The new content is built in a new directory which is the given one with ".new" appended, then moved to the given name in an almost atomic way.

OPTIONS

-f path, --database-file=path
    Path to the duplicate database SQLite file.

AUTHOR
apport and the accompanying tools are developed by Martin Pitt <martin.pitt@ubuntu.com>.